Bug 48141

Summary: [Qt][QtTestBrowser] Toggle use of QGraphicsView messes up the menu
Product: WebKit Reporter: Yi Shen <max.hong.shen>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: ademar, commit-queue, suresh.voruganti, tonikitoo
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: Linux   
Attachments:
Description Flags
first try none

Description Yi Shen 2010-10-22 10:53:20 PDT
Steps to reproduce
1. launch QtTestBrowser
2. check the 'edit' menu on the menu bar, you can see several menu items, like 'undo','redo','cut' ...
3. on the menu bar, check 'Develop'->'QGraphicsView'->'Toggle use of QGraphicsView'
4. check the 'edit' menu again

Result,
menu items are missing

Excepted,
No menu items missing
Comment 1 Yi Shen 2010-10-22 10:59:49 PDT
Created attachment 71577 [details]
first try

Need to create/reconnect menu items with the new qwebpage.
Comment 2 Andreas Kling 2010-10-24 05:16:41 PDT
Comment on attachment 71577 [details]
first try

Nice, r=me!
Comment 3 WebKit Commit Bot 2010-10-24 09:59:49 PDT
Comment on attachment 71577 [details]
first try

Clearing flags on attachment: 71577

Committed r70417: <http://trac.webkit.org/changeset/70417>
Comment 4 WebKit Commit Bot 2010-10-24 09:59:54 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Suresh Voruganti 2010-11-02 10:25:54 PDT
Please cherry pick the fix to Qtwebkit 2.1 branch
Comment 6 Ademar Reis 2010-11-09 09:58:29 PST
Revision r70417 cherry-picked into qtwebkit-2.1 with commit ee16ad6 <http://gitorious.org/webkit/qtwebkit/commit/ee16ad6>